<?xml version="1.0" encoding="UTF-8"?>

<foxml:digitalObject
        VERSION="1.1"
        PID="doms:ContentModel_AudioPreservationFile"
        xmlns:foxml="info:fedora/fedora-system:def/foxml#"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation=
                "info:fedora/fedora-system:def/foxml#
                http://www.fedora.info/definitions/1/0/foxml1-1.xsd">

    <!---***************************************************************************************************************************************
        FEDORA OBJECT PROPERTIES : non-versionable properties of the digital object
        At ingest, the object MUST have these attributes:
            - type:(required) The object is classified as one of three primitive Fedora object types,
              namely FedoraObject, FedoraBDefObject, FedoraBMechObject,
              or FedoraCModelObject.
            - state:(required) The object state can be Active (A), Inactive (I), or Deleted (D)

        And at ingest, it may have these optional attributes:
            - label: (optional) The object is given a user-defined descriptive label.
        The system will automatically assign these attributes (they should not be put in the ingest files,
        but they appear in stored files):
            - createdDate: (system assigned) The object creation date is assigned to the millisecond.
            - lastModifiedDate:(system assigned) The object creation date is assigned to the millisecond.
    ******************************************************************************************************************************************-->

    <foxml:objectProperties>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#state"
                VALUE="A"/>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#label"
                VALUE="Content Model Audio Preservation File. Subclasses are preservation files for the Audio objects"/>

    </foxml:objectProperties>

    <foxml:datastream ID="DC" STATE="A" CONTROL_GROUP="X" VERSIONABLE="true">
        <foxml:datastreamVersion ID="DC.0" MIMETYPE="text/xml" LABEL="Default Dublin Core Record" SIZE="488" CREATED="2004-12-10T00:21:58.000Z">

            <foxml:xmlContent>
                <oai_dc:dc
                        xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/"
                        xmlns:dc="http://purl.org/dc/elements/1.1/">
                    <dc:title>Content Model Audio Preservation File</dc:title>
                    <dc:identifier>doms:ContentModel_AudioPreservationFile</dc:identifier>
                </oai_dc:dc>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>



    <foxml:datastream CONTROL_GROUP="X" ID="RELS-EXT" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion  ID="RELS-EXT.1" LABEL="Relationships"
                                  MIMETYPE="application/rdf+xml" >
            <foxml:contentDigest DIGEST="none" TYPE="DISABLED"/>
            <foxml:xmlContent>
                <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                         xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#"
                        >
                    <rdf:Description rdf:about="info:fedora/doms:ContentModel_AudioPreservationFile">
                        <hasModel rdf:resource="info:fedora/fedora-system:ContentModel-3.0" xmlns="info:fedora/fedora-system:def/model#"/>
                        <doms:extendsModel rdf:resource="info:fedora/doms:ContentModel_File" />
                        <doms:isPartOfCollection rdf:resource="info:fedora/doms:DOMS_Base_Collection"/>
                    </rdf:Description>
                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>





    <foxml:datastream
            CONTROL_GROUP="X"
            ID="DS-COMPOSITE-MODEL"
            STATE="A"
            VERSIONABLE="true">
        <foxml:datastreamVersion ID="DS-COMPOSITE-MODEL.0"
                                 LABEL="DS Composite Model."
                                 MIMETYPE="text/xml">
            <foxml:xmlContent>
                <dsCompositeModel
                        xmlns="info:fedora/fedora-system:def/dsCompositeModel#"
                        xmlns:schema="http://doms.statsbiblioteket.dk/types/dscompositeschema/0/1/#">
                    <dsTypeModel ID="PRONOMID">
                        <form MIME="text/xml"/>
                        <extensions name="DOMS">
                            <schema type="xsd" datastream="PRONOMID_SCHEMA" xmlns="http://doms.statsbiblioteket.dk/types/dscompositeschema/0/1/#"/>
                        </extensions>
                    </dsTypeModel>
                </dsCompositeModel>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>





    <foxml:datastream
               CONTROL_GROUP="X"
               ID="PRONOMID_SCHEMA"
               STATE="A"
               VERSIONABLE="true">
           <foxml:datastreamVersion
                   ID="PRONOMID_SCHEMA.0"
                   LABEL="Restrictions on the general properties"
                   MIMETYPE="text/xml">
               <foxml:xmlContent>
                    <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
                               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance#"
                               targetNamespace="http://doms.statsbiblioteket.dk/properties/pronomID/0/1/#"
                               xmlns="http://doms.statsbiblioteket.dk/properties/pronomID/0/1/#"
                               elementFormDefault="qualified"
                               attributeFormDefault="unqualified">

                       <xsd:element name="pronomID" type="extpropertiesType"/>

                       <xsd:complexType name="extpropertiesType">
                           <xsd:attribute name="value" type="valuesType"/>
                       </xsd:complexType>

                       <xsd:simpleType name="valuesType">
                           <xsd:restriction base="xsd:string">
                               <xsd:enumeration value="fmt/6"/>
                               <xsd:enumeration value="fmt/2"/>
                           </xsd:restriction>
                       </xsd:simpleType>
                   </xsd:schema>
               </foxml:xmlContent>
           </foxml:datastreamVersion>
       </foxml:datastream>




    <foxml:datastream CONTROL_GROUP="X" ID="ONTOLOGY" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="ONTOLOGY.0"
                LABEL="Relations schema"
                MIMETYPE="text/xml">
            <foxml:xmlContent>



                <rdf:RDF
                        xmlns:owl="http://www.w3.org/2002/07/owl#"
                        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                        xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
                        xml:base="http://doms.statsbiblioteket.dk/relations/default/0/1/#">

                    <owl:Class rdf:about="info:fedora/doms:ContentModel_AudioPreservationFile"/>

                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>



</foxml:digitalObject>
